Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui.text
Class GroovyFilter

author:
  Evan "Hippy" Slatis

Field Summary
`Action` | `AUTO_TAB_ACTION`
`String` | `COMMENT`
`Color` | `COMMENT_COLOR`
`String` | `DIGIT`
`String` | `IDENT`
`String` | `LEFT_PARENS`
`String` | `OPERATION`
`String` | `QUOTES`
`String` | `RESERVED_WORD`
`def` | `RESERVED_WORDS`
`String` | `SINGLE_QUOTES`
`String` | `SLASHY_QUOTES`
`String` | `SLASH_SLASH_COMMENT`
`String` | `SLASH_STAR_COMMENT`

Constructor Summary
`GroovyFilter(DefaultStyledDocument doc)` Creates a new instance of GroovyFilter

Method Summary
`void` | `init()`
`static void` | `installAutoTabAction(JTextComponent tComp)`

Constructor Detail

### GroovyFilter

    public GroovyFilter(DefaultStyledDocument doc)

  Creates a new instance of GroovyFilter

Method Detail

### init

    void init()

### installAutoTabAction

    public static void installAutoTabAction(JTextComponent tComp)